# Guava - simplified and reduced

This is xbib Guava, a build of Google Guava with the following differences to the
original [Google Guava Library](https://github.com/google/guava):

- forked master branch on November 21, 2019 (28.1+)
- removed all external annotations, so this library does not have any dependencies
- compiled under Java 11 and with a module info for JPMS (module org.xbib.guava)
- removed duplicate JDK11 classes (LongAdder, Striped64)
- replaced sun.misc.Unsafe dependent classes with safe versions (LongAdders, UnsignedBytes, LittleEndianByteArray, AbstractFuture)
- the guava failureaccess dependency is included
- removed listenablefuture empty dependency hack
- Gradle as build system

All credits belong to the original authors

## License

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
